# Contributing

We love contributions from everyone.
By participating in this project,
you agree to abide by the thoughtbot [code of conduct].

  [code of conduct]: https://thoughtbot.com/open-source-code-of-conduct

We expect everyone to follow the code of conduct
anywhere in thoughtbot's project codebases,
issue trackers, chatrooms, and mailing lists.

## Contributing Code

1. Fork the repo.

1. Install dependencies:

    ```
    bundle install
    ```

1. Make sure the tests pass:

    ```
    bundle exec rake test
    ```

1. Make your change, with new passing tests. Follow the [style guide][style].

1. Mention how your changes affect the project to other developers and users in
   the `CHANGELOG.md` file.

1. Write a [good commit message][commit]. Push to your fork. Submit a pull
   request.

Others will give constructive feedback.
This is a time for discussion and improvements,
and making the necessary changes will be required before we can
merge the contribution.

  [style]: https://github.com/thoughtbot/guides/tree/master/style
  [commit]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html
